﻿
using System;
using MindFusion.Scheduling;
using MindFusion.Scheduling.Wpf;
using System.Windows.Data;
using System.Windows.Media;


namespace CustomTimetableGrid
{
	public class CustomItemPresenter : ItemPresenter
	{
		public CustomItemPresenter(Calendar calendar)
			: base(calendar)
		{
			this.DefaultStyleKey = typeof(CustomItemPresenter);
		}
	}

	class BrushConverter : IValueConverter
	{
		public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
		{
			if (value is Color)
				return new SolidColorBrush((Color)value);

			return value;
		}

		public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
		{
			throw new System.NotImplementedException();
		}
	}
}
