﻿
using System;
using System.Windows;
using System.Windows.Controls;


namespace CustomTimetableGrid
{
	public class NavigationControl : ContentControl
	{
		static NavigationControl()
		{
			DefaultStyleKeyProperty.OverrideMetadata(typeof(NavigationControl),
				new FrameworkPropertyMetadata(typeof(NavigationControl)));
		}

		public NavigationControl()
		{
		}


		public string Header
		{
			get { return (string)GetValue(HeaderProperty); }
			set { SetValue(HeaderProperty, value); }
		}

		public static readonly DependencyProperty HeaderProperty =
			DependencyProperty.Register("Header", typeof(string), typeof(NavigationControl), new PropertyMetadata(""));
	}
}
